%global npm_name micromatch
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 3.1.10
Release: %mkrel 6
Summary: Glob matching for javascript/node
License: MIT
Group: Development/Other
URL: https://github.com/micromatch/micromatch
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(arr-diff)
Requires: npm(array-unique)
Requires: npm(braces)
Requires: npm(define-property)
Requires: npm(extend-shallow)
Requires: npm(extglob)
Requires: npm(fragment-cache)
Requires: npm(kind-of)
Requires: npm(nanomatch)
Requires: npm(object.pick)
Requires: npm(regex-not)
Requires: npm(snapdragon)
Requires: npm(to-regex)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep extglob ">=3.0.0"
%nodejs_fixdep snapdragon ">=0.12.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md



%changelog
* Fri May 15 2020 joequant <joequant> 3.1.10-6.mga8
+ Revision: 1583947
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 3.1.10-5.mga8
+ Revision: 1503015
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.1.10-4.mga7
+ Revision: 1280700
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 3.1.10-3.mga7
+ Revision: 1227331
- Fix nodejs dependencies

* Thu May 03 2018 kekepower <kekepower> 3.1.10-2.mga7
+ Revision: 1225783
- Fix Requires

* Wed May 02 2018 kekepower <kekepower> 3.1.10-1.mga7
+ Revision: 1225029
- imported package nodejs-micromatch

